> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create customer



## OpenAPI

````yaml Customer post /create
openapi: 3.0.1
info:
  title: Customer
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/customer/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /create:
    post:
      operationId: postCreate
      parameters:
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    CreateRequest:
      type: object
      properties:
        customerType:
          type: string
          nullable: true
        customerName:
          type: string
          nullable: true
        externalCustomerId:
          type: string
          nullable: true
        customerStatus:
          type: string
          nullable: true
        categorization:
          type: string
          nullable: true
        person:
          $ref: '#/components/schemas/PersonData'
        notifications:
          type: array
          items:
            $ref: '#/components/schemas/NotificationsItem'
        isB2B:
          type: boolean
        sharePercentage:
          type: integer
          format: int64
          nullable: true
        ultimatePercentage:
          type: integer
          format: int64
          nullable: true
        isDirector:
          type: boolean
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    PersonData:
      type: object
      properties:
        firstName:
          $ref: '#/components/schemas/FirstName'
        lastName:
          $ref: '#/components/schemas/LastName'
        gender:
          type: string
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        placeOfBirth:
          type: string
          nullable: true
        nationality:
          type: string
          nullable: true
        pinCode:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        groupId:
          type: string
          nullable: true
        documents:
          type: array
          items:
            $ref: '#/components/schemas/DocumentsItem'
        telephoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/TelephoneNumbersItem'
        SecretQuestion:
          type: array
          items:
            $ref: '#/components/schemas/SecretQuestionItem'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/AddressesItem'
    NotificationsItem:
      type: object
      properties:
        notificationType:
          type: string
          nullable: true
        isEnabled:
          type: boolean
    FirstName:
      type: object
      properties:
        name:
          type: string
          nullable: true
        order:
          type: integer
          format: int64
          nullable: true
        abbreviation:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
        native:
          type: string
          nullable: true
        suffix:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
    LastName:
      type: object
      properties:
        name:
          type: string
          nullable: true
        order:
          type: integer
          format: int64
          nullable: true
        abbreviation:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
        native:
          type: string
          nullable: true
        suffix:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
    DocumentsItem:
      type: object
      properties:
        purpose:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        verificationResponse: {}
        documentType:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/MetadataItem'
    TelephoneNumbersItem:
      type: object
      properties:
        phoneType:
          type: string
          nullable: true
        operator:
          type: string
          nullable: true
        encoding:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        number:
          type: string
          nullable: true
        purpose:
          type: string
          nullable: true
    SecretQuestionItem:
      type: object
      properties:
        question:
          type: string
          nullable: true
        answer:
          type: string
          nullable: true
    AddressesItem:
      type: object
      properties:
        addresspurpose:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/Address'
    MetadataItem:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
    Address:
      type: object
      properties:
        country:
          type: string
          nullable: true
        area:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        zipCode:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        streetNumber:
          type: array
          items:
            type: string
        building:
          type: string
          nullable: true
        apartment:
          type: string
          nullable: true
        entrance:
          type: string
          nullable: true
        floor:
          type: string
          nullable: true
        doorNumber:
          type: string
          nullable: true
        geoPosition:
          $ref: '#/components/schemas/GeoPosition'
        alternative:
          $ref: '#/components/schemas/Alternative'
        relatedToAddress:
          type: array
          items:
            $ref: '#/components/schemas/RelatedToAddressItem'
        additionalData:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalDataItem'
    GeoPosition:
      type: object
      properties:
        latitude:
          type: integer
          format: int64
          nullable: true
        longitude:
          type: integer
          format: int64
          nullable: true
        altitude:
          type: integer
          format: int64
          nullable: true
    Alternative:
      type: object
      properties:
        word1:
          type: string
          nullable: true
        word2:
          type: string
          nullable: true
        word3:
          type: string
          nullable: true
    RelatedToAddressItem:
      type: object
      properties:
        relationType:
          type: string
          nullable: true
    AdditionalDataItem:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````